**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/26.2/clinical-operations/populate-procedure-definitions.md

# Populate Procedure Definitions



Use this request to initiate the *Populate Procedure Definitions* user action. This action creates *Procedure Definitions* for a target study from a source study or an existing *Procedure Template*.

Learn more about [*Procedure Definitions* in Vault Help](https://clinical.veevavault.help/en/lr/71912#procedure).

<Endpoint path="/api/{version}/app/clinical/ctms/populate-procedure-definitions" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` |
| `Accept` | `application/json` |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `source_holder_object_name` | The name of the object to create *Procedure Definitions* from. Possible values are `study__v` or `procedure_template__v`. |
| `source_holder_object_ids` | An array of study or *Procedure Template* IDs to copy *Procedure Definitions* from. |
| `destination_holder_object_name` | The name of the object to create *Procedure Definitions* for. This must always be `study__v`. |
| `destination_holder_object_id` | The ID of the study to populate with *Procedure Definitions*. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {AUTH_VALUE}" \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
- d '[
{
        "source_holder_object_name" : "study__v",
        "source_holder_object_ids" : ["0ST000000001001"],
        "destination_holder_object_name" : "study__v",
        "destination_holder_object_id" : "0ST000000003001"
}
]'
https://myvault.veevavault.com/api/v25.1/app/clinical/ctms/populate-procedure-definitions

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "Success",
    "data": {
        "status": "SUCCESS",
        "source": "study__v",
        "numProcedureDefsCreated": 2,
        "numProcedureDefsDuplicates": 0,
        "numErrors": 0
    }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response returns the number of *Procedure Definitions* created, the number of duplicate *Procedure Definitions* that exist for the indicated study, and the number of errors encountered.



---

**Previous:** [Populate Site Fee Definitions](/clinical/vault-api/api-reference/26.2/clinical-operations/populate-site-fee-definitions)  
**Next:** [Initiate Clinical Record Merge](/clinical/vault-api/api-reference/26.2/clinical-operations/initiate-clinical-record-merge)